# $Revision: 1.23 $, $Date: 2011/01/23 01:22:31 $
%include	/usr/lib/rpm/macros.php
%define		_status		alpha
%define		_pearname	Math_Numerical_RootFinding
%define		subver	a2
%define		rel		1
Summary:	%{_pearname} - numerical analysis root finding methods
Summary(pl.UTF-8):	%{_pearname} - metody numeryczne znajdowania pierwiastków
Name:		php-pear-%{_pearname}
Version:	1.1.0
Release:	0.%{subver}.%{rel}
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}%{subver}.tgz
# Source0-md5:	770feb76b87ef10d33199cf27cc89440
URL:		http://pear.php.net/package/Math_Numerical_RootFinding/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.2.0
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provide various numerical analysis methods for find root
Available Methods:
- Bisection
- False Position
- Fixed Point
- Newton-Raphson
- Secant

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ten pakiet udostępnia różne metody numeryczne do znajdowania
pierwiastków. Dostępne metody to:
- bisekcji
- regula-falsi
- stałego przecinka
- Newtona-Raphsona
- siecznych.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

rm .%{php_pear_dir}/buildPackageXML.php

mv docs/%{_pearname}/docs/examples .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_pear_dir},%{_examplesdir}/%{name}-%{version}}
%pear_package_install

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/Math/Numerical
%{php_pear_dir}/Math/Numerical/RootFinding.php
%{php_pear_dir}/Math/Numerical/RootFinding

%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Math_Numerical_RootFinding.spec,v $
Revision 1.23  2011/01/23 01:22:31  sparky
- tests are no longer installed - don't try to remove them

Revision 1.22  2010/11/15 15:31:01  glen
- up to 1.1.0a2

Revision 1.21  2010/08/19 14:02:32  glen
- up to 1.1.0a1

Revision 1.20  2008/01/31 12:16:08  glen
- rel 2

Revision 1.19  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.18  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.17  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.16  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.15  2006/02/16 18:21:41  glen
- 1.0.0 stable

Revision 1.14  2005/10/30 22:59:07  glen
- missing dir

Revision 1.13  2005/10/05 20:59:19  glen
- rel 2

Revision 1.12  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.11  2005/09/28 21:33:15  glen
- new pear packaging

Revision 1.10  2005/02/05 19:46:51  adamg
- updated to 0.3.0

Revision 1.9  2004/12/05 11:06:55  adamg
- added path_fix.patch (fix capitalization in M/N/RF/falseposition.php)
- release 3

Revision 1.8  2004/12/03 22:22:54  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.7  2004/10/31 22:10:46  paladine
- spaces->tabs
- formatting

Revision 1.6  2004/10/24 18:31:00  paladine
- spelling fixes, uppercases, etc.

Revision 1.5  2004/07/10 14:34:07  adamg
- updated to 0.2.0

Revision 1.4  2004/05/30 13:13:50  adamg
- fixed english information about status of the package

Revision 1.3  2004/04/16 21:20:42  qboosh
- pl (but not sure about false position and fixed point)

Revision 1.2  2004/04/16 20:58:18  adamg
- fixed URL

Revision 1.1  2004/04/16 19:36:38  adamg
- initial import
